package com.jclark.xsl;

class ProcessAction implements Action {
  private Query query;

  ProcessAction(Query query) {
    this.query = query;
  }
  public void invoke(ProcessContext context, Node sourceNode, Result result) throws XSLException {
    for (NodeIterator iter = query.select(context, sourceNode);;) {
      Node nd = iter.next();
      if (nd == null)
	break;
      context.process(nd, result);
    }
  }
}
