package com.jclark.xsl;

class RootMatcher implements Matcher {
  public boolean matches(ProcessContext context, Node node) {
    return node.getType() == Node.ROOT;
  }
  public boolean matches(ProcessContext context, Node node, int maxAncestors) {
    return matches(context, node);
  }
  public byte getMatchNodeType() {
    return Node.ROOT;
  }
  public Name getMatchName() {
    return null;
  }
  public int getSpecificity() {
    return 1;
  }
}
